Page MenuHomePhabricator

pages should be linked on viewjob pages
Closed, ResolvedPublic

Description

e.g. https://tools.wmflabs.org/iabot/index.php?page=viewjob&id=900. Viewing the pages and history is inconvenient.
Provide the page links and " (history)" (not selectable and copy) Is more convenient.

Event Timeline

YFdyh000 created this task.Nov 8 2017, 9:35 AM
Cyberpower678 triaged this task as Medium priority.Nov 14 2017, 12:28 AM
Cyberpower678 moved this task from Unsorted to New feature on the InternetArchiveBot (v2.0) board.
Cyberpower678 closed this task as Resolved.Nov 22 2017, 10:05 PM

This is now implemented in v2.0.

If the bot made a change to the article, the link will take you to the diff. Otherwise it takes you to the page.

This also applies to all previously submitted bot jobs as well. I ran a script to construct a new table to save this information.

v2.0 is still in development stages and will not make an appearance for at least another month or two.